program ScriptHostZaap;

uses
  Forms,
  F_Main {frmMain},
  L_ScriptingUtils,
  U_Script,
  U_ScriptManager,
  SVATimer in '..\..\..\..\..\..\..\Common\Delphi\TSVATimer\SVATimer.pas',
  U_ZBarPoller,
  RegExpr,
  L_StringUtils,
  U_Globals,
  U_ScriptHost,
  U_LogEmitter in '..\src\Delphi\U_LogEmitter.pas',
  L_MMTimer in '..\src\Delphi\L_MMTimer.pas';

{$R *.res}

begin
  Application.Initialize;
  Application.Title := 'Script Host Zaap';
  Application.Name := 'ScriptHostZaap';
  if ParamStr(1) = '/hide' then begin
    Application.ShowMainForm := False;
  end;
  Application.CreateForm(TfrmMain, frmMain);
  Application.Run;
end.

